# getRegisteredScope method

1. @override

PodScope? getRegisteredScope(

1. String scopeName

)
override

Retrieves a registered scope by name.

## Usage Example:

    final requestScope = factory.getRegisteredScope('request');
    if (requestScope != null) {
      await requestScope.destroy();
    }

@param scopeName The name of the scope to retrieve @return The registered scope or null if not found

## Implementation

    @override
    PodScope? getRegisteredScope(String scopeName) {
      if (_parent != null) {
        return _parent!.getPodFactory().getRegisteredScope(scopeName);
      }

      return getPodFactory().getRegisteredScope(scopeName);
    }